{ inputs, pkgs, ... }: {
  imports = [
    inputs.nixvim.homeManagerModules.nixvim
  ];

  programs.nixvim = {
    enable = true;

    options = {
      number = true;
    };

    colorschemes.tokyonight.enable = true;

    autoCmd = [
      { event = "VimEnter"; command = "Neotree"; }
    ];

    keymaps = [
      # Toggleterm Ctrl + `
      { action = "<cmd>ToggleTerm<CR>"; key = "<C-`>"; options.silent = true; }
    ];

    plugins = {
      neo-tree = {
        enable = true;
        closeIfLastWindow = true;
        buffers.followCurrentFile.leaveDirsOpen = true;
      };
      lightline.enable = true;
      toggleterm.enable = true;
      rainbow-delimiters.enable = true;
      treesitter.enable = true;
      barbar.enable = true;
      gitgutter.enable = true;
      persistence.enable = true;
    };

    extraPlugins = with pkgs.vimPlugins; [
      vim-sleuth
    ];
  };
}
